### Property

# AppStream Component:pkgnames

since: 1.0

#### Declaration

    property pkgnames: string[] [ read, write ]

#### Description [src]

String array of packages name.

Type: | An array of `char*`
Available since: | 1.0

Getter method | `as_component_get_pkgnames()`
Setter method | `as_component_set_pkgnames()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no